clear;clc;

c=1500;p0=1;x_s=0;y_s=0;z_s=0;
x=1e-3;y=1e-3;z=0;
t=0:1e-8:3e-6;

p=comp_press_field_point_source(c,p0,x,y,z,x_s,y_s,z_s,t);

p=reshape(p(1,1,1,:),[length(t) 1]);  % Converting 4d array to a vector

plot(t*1e6,p) %Converting seconds to microseconds
title('Pressure as function of time for an acoustic point source');
xlabel('Time [us]');
ylabel('Pressure [Pa]');